Bug 219187 - devel/py-celery: Update to 4.0.2
Summary: devel/py-celery: Update to 4.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-05-10 09:10 UTC by Reshad Patuck
Modified: 2017-06-11 16:56 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (wg)


Attachments
Update port celcery from 3.1.24 to 4.0.2 (804 bytes, patch)
2017-05-10 09:10 UTC, Reshad Patuck
koobs: maintainer-approval+
Details | Diff
Poudriere log py27-celery (69.88 KB, text/plain)
2017-06-08 07:55 UTC, Reshad Patuck
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reshad Patuck 2017-05-10 09:10:08 UTC
Created attachment 182468 [details]
Update port celcery from 3.1.24 to 4.0.2

New version of celery (4.0.2) released.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-05 08:12:06 UTC
Maintainer timeout (3 weeks), reset assignee
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-05 08:12:50 UTC
Comment on attachment 182468 [details]
Update port celcery from 3.1.24 to 4.0.2

Implicit approval.

@Reshad, can you please confirm that this change passes QA (poudriere in particular).

Thank you
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-05 08:20:24 UTC
For any future assignee, please consider that this is a major (3.x -> 4.x) upgrade that has implications for end-users in terms of upgrade process.

In particular, the whats new document [1] for celery 4 includes a requirement to first upgrade to 3.1.25 among other things.

It is very likely a better path to consider a separate celery4, leaving py-celery at 3.1.x (ideally 3.1.25) to enable users to opt-in to the major version upgrade at their leisure/convenience by switching py-celery for py-celery4

[1] http://docs.celeryproject.org/en/latest/whatsnew-4.0.html
Comment 4 Reshad Patuck 2017-06-08 07:55:09 UTC
Created attachment 183324 [details]
Poudriere log py27-celery

(In reply to Kubilay Kocak from comment #2)

Hey confirmed it builds with poudriere.

Have attached the logs for the same.

I think it may be better to call it py-celery4 and at a future date point py-celery to py-celery4 once version 3 is deprecated for long enough.
Comment 5 commit-hook freebsd_committer 2017-06-11 16:56:25 UTC
A commit references this bug:

Author: miwi
Date: Sun Jun 11 16:55:32 UTC 2017
New revision: 443398
URL: https://svnweb.freebsd.org/changeset/ports/443398

Log:
  - Update to 4.0.2

  Changelog:
      http://docs.celeryproject.org/en/latest/whatsnew-4.0.html

  PR:		219187
  Reported by:	 Reshad Patuck
  Approved by:	maintainer timeout

Changes:
  head/devel/py-celery/Makefile
  head/devel/py-celery/distinfo